/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * A few indispensable standard stdio functions
 *
 * @(#) $Id: putchar.c,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */

#include "stdio.h"

#define COLUMNS			80
#define LINES			24
#define ATTRIBUTE		7
#define VIDEO			0xB8000

static int xpos;
static int ypos;
static volatile unsigned char *video;

void cls (void)
{
  int i;

  video = (unsigned char *) VIDEO;

  for (i = 0; i < COLUMNS * LINES * 2; i++)
    *(video + i) = 0;

  xpos = 0;
  ypos = 0;
}

void putchar (int c)
{
  if (c == '\n' || c == '\r')
    {
    newline:
      xpos = 0;
      ypos++;
      if (ypos >= LINES)
	ypos = 0;
      return;
    }

  *(video + (xpos + ypos * COLUMNS) * 2) = c & 0xFF;
  *(video + (xpos + ypos * COLUMNS) * 2 + 1) = ATTRIBUTE;

  xpos++;
  if (xpos >= COLUMNS)
    goto newline;
}





