/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * Standard string functions
 *
 * @(#) $Id: strncmp.c,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */

#include <types.h>
#include "string.h"

int strncmp(register const char *s1, register const char *s2, register int len)
{
  char c1 = '\0', c2 = '\0';

  while (len > 0)
    {
      c1 = (unsigned char) *s1++;
      c2 = (unsigned char) *s2++;
      if (c1 == '\0' || c1 != c2)
        return c1 - c2;
      len--;
    }

  return c1 - c2;
}
