OUTPUT_FORMAT("elf32-i386","elf32-i386","elf32-i386");
ENTRY(_start)
OUTPUT_ARCH("i386")

SECTIONS
{
    . = 0x200000 + SIZEOF_HEADERS;
    . = ALIGN(4096);
    __b_loader = .;

    .text :
    {   *(.text)
        PROVIDE(etext = .);
        PROVIDE(_etext = .);
	 *(.rodata)
    }
    .data . :
    {   *(.data) 
        PROVIDE(edata = .);
	PROVIDE(_edata = .);
    }
    .rodata . :
    {   *(.rodata*)
        PROVIDE(erodata = .);
        PROVIDE(_erodata = .);
    }
    .bss SIZEOF(.rodata) + ADDR(.rodata) :
    {   *(.bss)
        *(COMMON)
        PROVIDE(end = .);
	PROVIDE(_end = .);
    }

    __e_loader = .;

        /DISCARD/ :{
                *(.note)
                *(.indent)
                *(.comment)
                *(.stab)
                *(.stabstr)
        }

}

