/*
 * Copyright (C) 2000, Thomas PETAZZONI 
 * http://kos.enix.org
 *
 * Debugging functions for kernel on bochs ports (e8 + e9)
 *
 * @(#) $Id: bochs.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */


#ifndef __KOS_DBG_BOCHS_H__
#define __KOS_DBG_BOCHS_H__

#include <kos/macros.h>

EXPORT void bochs_file_putchar (int file, int c);

EXPORT void bochs_file_printk(int file, char *format, ...)
  __attribute__ ((format (printf, 2, 3)));

EXPORT void bochs_file_close(int file);

EXPORT int bochs_file_open (char *name);

EXPORT void bochs_putchar( int c );

EXPORT int bochs_printk(const char *format, ...)
  __attribute__ ((format (printf, 1, 2)));

EXPORT int bochs_prints (const char *str);

#endif /* __KOS_DBG_BOCHS_H__ */
