#include <elf/_elf.h>
#include <kos/system.h>

vaddr_t elf_find_entry_point(void)
{
  Elf32_Ehdr *elfprg = (Elf32_Ehdr *) CPL3_CODE_ADDR;
  
  if(elfprg->e_ident[EI_MAG0] != 0x7f ||
     elfprg->e_ident[EI_MAG1] != 'E'  ||
     elfprg->e_ident[EI_MAG2] != 'L'  ||
     elfprg->e_ident[EI_MAG3] != 'F')
    return 0;
  
  return elfprg->e_entry;
}
