/* fat.c - Copyright (C) 2000 the Kos Project
 Fat module init/cleanup routines

 the Kid Operating System (http://kos.enix.org)
 @(#) $Id: fat.c,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $ */

#include <loader/mod.h>
#include <kos/macros.h>
#include <kmem/kmem.h>
#include <fs/fat/_fat.h>
#include <lib/stdio.h>

extern struct interface fat_interface;

__init_text static int post_init_module_level3 (kernel_parameter_t *kp)
{
  UNUSED(kp);
  
  printk("(Init fat...");
  if (bbl_add_interface(&fat_interface))
    {
      printk("Failed)\n");
      return -1;
    }
  printk("Ok)\n");
  
  return 0;
}

DECLARE_INIT_SYMBOL(post_init_module_level3, POST_INIT_LEVEL3);
