/* fat.h - Copyright (c) 2000 Thomas Petazzoni
   FAT driver public include file
   
   the Kid Operating System (http://kos.enix.org)
   @(#) $Id: fat.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $ */

#ifndef __FAT_H__
#define __FAT_H__

#include <kos/types.h>

typedef struct fat_shadow_resource 
{
  struct shadow_resource parent;
  k_ui32_t firstclus;
  k_ui32_t size;
  enum { FILE, DIR, ROOT_DIR } type;
} fat_shadow_resource_t;

#endif /* __FAT_H__ */

