/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * Ide module init/cleanup routines
 *
 * @(#) $Id: ide.c,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */


#include <loader/mod.h>
#include <kos/macros.h>
#include <ide/_ide.h>

__init_text static int post_init_module_level3 (kernel_parameter_t *kp)
{
  UNUSED(kp);
  
  printk("(Init ide...");  
  if (__init_ide_babel() != 0)
   {
     printk("Failed)\n");
     return -1;
   }
  if (__init_ide() != 0)
    {
      printk("Failed)\n");
      return -1;
    }
  printk("Ok)\n");

  return 0;
}

DECLARE_INIT_SYMBOL(post_init_module_level3, POST_INIT_LEVEL3);
