/*
 * Copyright (C) 2000, Thomas PETAZZONI
 * http://kos.enix.org
 *
 * Include file for irq management
 *
 * @(#) $Id: _irq.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */

#ifndef ___IRQ_H__
#define ___IRQ_H__

#include <idt/irq.h>

#ifndef ASM_SOURCE

#include <arch/task/task.h>
#include <kos/types.h>

extern irq_handler_t irq_handler[NUM_IRQ];

void init_pic(void);
void init_irq_management(void);

#endif /* ASM_SOURCE */

#endif /* __irq_h__ */



