#ifndef __DST_H__
#define __DST_H__

#define DST_LEVELS 16

typedef void ((dst_handler_t)(int dst_level, void *data));

struct dst_job;

struct dst_job *new_job(dst_handler_t *handler, void *data);

typedef enum { E_DST_OK=0, E_DST_TRY_AGAIN=1, E_DST_ERROR=-1 } e_dst_t;
e_dst_t del_job(struct dst_job *job);

int mark_job(struct dst_job *job, int dst_level);

#endif /* __DST_H__ */
