/** errno.h - Copyright (c) 2002 KOS project
    @(#) $Id: errno.h,v 1.2 2003/04/27 20:55:55 thomas Exp $

*/


#ifndef __ERRNO_H__
#define __ERRNO_H__

/* System errno  */
typedef enum { 
  /* Hawful hack to make GCC happy. If I don't put a negative number here, then Gcc
     will think the result_t type is unsigned, but in fact functions
     return -EBUSY, -EBADNAME, etc... which are negative numbers, so
     result_t must be signed */
  EEEEEEE  = -1,

  /* The real numbers ;) */
  EBADNAME = 1, /* Name invalid */
  EBUSY    = 2, /* Device/ressource busy */
  ENOMEM   = 3, /* No enough memory */
  ENOENT   = 4, /* No entry (file not found, etc..) */
  ENOSYS   = 5, /* No implemented */
  EPERM    = 6, /* Operation no permitted */
  EINVAL   = 7, /* Invalid arguments */
  EBADIFACE= 8  /* Bad interface */
} result_t;

#endif /* __ERRNO_H__ */
