#ifndef __KOS_TYPES_H__
#define __KOS_TYPES_H__

#include <arch/lib/types.h>

#define NBITS(type) (CHAR_BITS*sizeof(type))

typedef unsigned int       addr_t;
typedef unsigned int       paddr_t;
typedef unsigned int       vaddr_t;
typedef unsigned int       offset_t;
typedef unsigned int       size_t;
typedef enum {FALSE=!1, TRUE=!!1} bool_t;

typedef unsigned int       delay_t;  /* delay in s  */
typedef unsigned int       udelay_t;
typedef unsigned int       time_t;   /* absolute time in s */
typedef unsigned           uint;

typedef struct {
  addr_t               start;
  addr_t               end;
} range_t;

#endif
