#ifndef __LIBCMDLINE_H__
#define __LIBCMDLINE_H__

#include <loader/mod.h>
#include <kmem/kmem.h>

/* find the parameters for module modname and parameter name pname
   allocates params, return the params or NULL if failed or not found */
char *cmdline_get_module_parameters(kernel_parameter_t *kp, const char *modname, const char *pname);

#define cmdline_free_module_paramaters(a) (kfree((a)))


#endif /* __LIBCMDLINE_H__ */
