/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * Header for a few standard stdio functions
 *
 * @(#) $Id: stdio.h,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */


#ifndef __STDIO_H__
#define __STDIO_H__

#include <kos/stdarg.h>
#include <kos/types.h>


#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */
  
  
int vsprintf(char *buf, const char *fmt, va_list args);
int sprintf( char *dst, const char *format, ... )
  __attribute__ ((format (printf, 2, 3)));
  
int snprintf(char *, size_t, const char *, /*args*/ ...)
  __attribute__ ((format (printf, 3, 4)));
int vsnprintf(char *, size_t, const char *, va_list);

int console_printk(const char *fmt, ...);
void cls (void);
void console_putchar (int c);

#define printk console_printk

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
