/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * Standard string functions : strlen
 *
 * @(#) $Id: strlen.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#include <loader/mod.h>
#include <lib/string.h>
#include <kos/types.h>
#include <kos/macros.h>
#include <kos/assert.h>

EXPORT_FUNCTION(strlen);

unsigned int strlen(register const char *str)
{
  unsigned int tmp = 0;

  while (*str++)
    tmp++;

  return tmp;
}


EXPORT_FUNCTION(strnlen);

unsigned int strnlen(const char * s, size_t count)
{
        const char *sc;

        for (sc = s; count-- && *sc != '\0'; ++sc)
                /* nothing */;
        return sc - s;
}
