/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * Standard string functions. Naive version of strrchr, taken from
 * FreeBSD.
 *
 * @(#) $Id: strrchr.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#include <loader/mod.h>
#include <lib/string.h>
#include <kos/types.h>
#include <kos/macros.h>
#include <kos/assert.h>

EXPORT_FUNCTION(strrchr);

char *strrchr(const char *p, int ch)
{
	char *save;

	for (save = NULL;; ++p) {
		if (*p == ch)
			save = (char *)p;
		if (*p == '\0')
			return (save);
	}
	/* NOTREACHED */
}
