/*
 * Copyright (C) 2000, ???
 * http://kos.enix.org
 *
 * Library for accessing and creating AVL trees.
 *
 * @(#) $Id: _avl.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#include <libbst/libbst.h>
#include <libbst/_avl.h>
#include <loader/mod.h>
#include <kos/macros.h>

/* This function insert a node into a tree. If the node already
   exists, it remains the tree unchanged. If the tree is empty, it
   creates the tree with the new node.  */
tree_node_t *_avl_insert_node (tree_node_t *new_node, tree_node_t *tree)
{
  UNUSED(new_node);

  return tree;
}

/* This function delete a node into a tree. If the node does not
   exists, the tree remains unchanged */
tree_node_t *_avl_delete_node (tree_node_t *remove_node, tree_node_t *tree)
{
  UNUSED(remove_node);
  UNUSED(tree);

  return tree;
}

/* Walk through node calling visitor for each node. We stop the
   walk-through as soon as visitor returns TRUE */
tree_node_t* _avl_visit(tree_node_t *node, 
			visitor_t visitor, 
			void *client_data)
{
  UNUSED(node);
  UNUSED(visitor);
  UNUSED(client_data);
  
  return node;
}

EXPORT_FUNCTION(_avl_insert_node);
EXPORT_FUNCTION(_avl_delete_node);
EXPORT_FUNCTION(_avl_visit);


