#ifndef ___PART_H__
#define ___PART_H__

#include <part/part.h>

typedef struct partition_entry 
{
  k_ui8_t active;
  k_ui8_t start_dl;
  k_ui16_t start_cylinder;
  k_ui8_t type;
  k_ui8_t end_dl;
  k_ui16_t end_cylinder;
  k_ui32_t lba;
  k_ui32_t size;
} partition_entry_t;

/* _part.c
 */
int __init_part_babel(void);
int __init_part(void);

struct hd_part {
  struct translator *hd;
  size_t blk_size;
  struct hd_part *prev,*next;
};

#endif /* ___PART_H__ */

