#include <loader/mod.h>
#include <lib/stdio.h>
#include <kos/macros.h>
#include <part/_part.h>

__init_text static int post_init_module_level3(kernel_parameter_t *kp)
{
  UNUSED(kp);
  
  printk("(Init part...");
  if (__init_part_babel() != 0)
    {
      printk("Failed)\n");
      return -1;
    }

  if (__init_part() != 0)
    {
      printk("Failed)\n");
      return -1;
    }

  printk("Ok)\n");
  
  return 0;
}

EXPORT_FUNCTION(_part_request_for_registering);
DECLARE_INIT_SYMBOL(post_init_module_level3, POST_INIT_LEVEL3);
