#ifndef __ARCH_DEBUG_H__
#define __ARCH_DEBUG_H__

#include <debug/debug.h>

#define show_eflags() \
  do { \
    k_ui32_t eflags; \
    asm("pushfl \n popl %0":"=g"(eflags)); \
    DEBUG_PRINT_VERBOSE("Interrupts are %s\n", \
			(eflags & (1<<9)) ? "Enabled" : "Disabled"); \
  } while(0)

#endif /* __ARCH_DEBUG_H__ */
