#include "_i8254.h"
#include <kos/asm.h>

void set_timer_frequency (int freq)
{
  int nb_tick;

  outb(0x34, I8254_CONTROL);
  nb_tick = I8254_MAX_FREQ / freq;

  outb((nb_tick&0xFF), I8254_TIMER0);
  outb((nb_tick>>8)&0xFF, I8254_TIMER0);
}
