/*
 * Copyright (C) 2000, Thomas PETAZZONI
 * http://kos.enix.org
 *
 *
 * @(#) $Id: task.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#include <kos/macros.h>
#include <loader/mod.h>
#include "_task.h"

__init_text static int init_module_level2(kernel_parameter_t *kp)
{
  UNUSED(kp);

  __init_system_tss();
  __init_double_fault_tss();

  return 0;
}


EXPORT_FUNCTION(cpl0_switch_no_return);
EXPORT_FUNCTION(cpl0_switch_with_return);
EXPORT_FUNCTION(init_kernel_thread_context);
EXPORT_FUNCTION(init_user_thread_context);
EXPORT_FUNCTION(get_system_tss);
EXPORT_FUNCTION(update_system_tss);
EXPORT_FUNCTION(dump_cpu_state);
EXPORT_FUNCTION(dump_tss);

DECLARE_INIT_SYMBOL(init_module_level2, INIT_LEVEL2);
