#include <libld/ld_bfd.h>
#include <macros.h>
#include <assert.h>

#include <libcrt/string.h>
#include <ar/ar.h>

int ar_check_magic (struct ld_module_struct *module)
{
  RETURN_VAL_IF_FAIL(module && (module->raw_image_size > SARMAG), -1);

  return !strncmp((char*)module->raw_image_start, ARMAG, SARMAG);
}
