/*
 * Copyright (C) 2000, Christophe Avoinne
 * http://kos.enix.org
 *
 * Header for Bochs console access
 *
 * @(#) $Id: bochs.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */


#ifndef __BOCHS_H__
#define __BOCHS_H__

void bochs_putchar(int c);
void bochs_printl(char *fmt, ...)
  __attribute__ ((format (printf, 1, 2)));

void bochs_file_putchar (int file, int c);
void bochs_file_printl(int file, char *format, ...)
  __attribute__ ((format (printf, 2, 3)));
void bochs_file_close(int file);
int bochs_file_open (char *name);


#endif
