#include <loader/mod.h>
#include <i8042/i8042.h>
#include <kos/asm.h>
#include <kos/macros.h>

extern i8042_vec_t _i8042_vec;

void _i8042(int number, cpu_state_t *cpu_state)
{
  i8042_vec_t *vec;
  
  UNUSED(number);
  UNUSED(cpu_state);

  vec = (i8042_vec_t *)&_i8042_vec;

  if ((inb(0x64) >> 5) & 1)
    {
      vec->maus();
    }
  else
    { 
      vec->klavier();
    }
  
}

EXPORT_FUNCTION(_i8042);
