/*
 * Copyright (C) 2000, Thomas PETAZZONI
 * http://kos.enix.org
 *
 * Include file for interrupt management
 *
 * @(#) $Id: idt.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */

#ifndef __IDT_H__
#define __IDT_H__

#include <idt/irq.h>
#include <idt/exception.h>
#include <idt/syscall.h>
#include <idt/dsr.h>
#include <idt/dst.h>

#include <idt/i8259.h>

// Needed in order to build the dbflt TSS correctly
void set_task_gate(int number, int tss_seg_sel_id);
extern cpu_state_t * exception_8_alias(int number,
					 cpu_state_t *cpu_state);



#endif /* __idt_h__ */



