/*
 * Copyright (C) 2000, Thomas PETAZZONI
 * http://kos.enix.org
 *
 * Include file for syscall management
 *
 * @(#) $Id: syscall.h,v 1.1.1.1 2003/04/27 12:49:48 thomas Exp $
 */

#ifndef __SYSCALL_H__
#define __SYSCALL_H__

#define NUM_SYSCALL 1

#define KOS_SYSCALL 0

#ifndef ASM_SOURCE

#include <arch/task/task.h>
#include <kos/types.h>

/* Type of an interrupt handler */
typedef void ((*syscall_handler_t)(int number,
				   cpu_state_t *cpu_state));

syscall_handler_t register_syscall_handler(short num_syscall,
					   syscall_handler_t new_syscall);
addr_t get_syscall_handler_address(int num_syscall);

#endif /* ASM_SOURCE */

#endif /* __syscall_h__ */



