#ifndef __BLOCK_H__
#define __BLOCK_H__

#include <karm/karm.h>
#include <kos/types.h>

#define BLOCK_OPS(ops) ((struct block *)(ops))

struct block {
  int (*read)(struct ures *ur, char *buffer, size_t len, offset_t offset);
  int (*write)(struct ures *ur, char *buffer, size_t len, offset_t offset);
};

#endif /* __BLOCK_H__ */
