#ifndef __DIR_H__
#define __DIR_H__

#include <karm/ures.h>
#include <karm/kres.h>

#define DIR_OPS(ops) ((struct dir *)(ops))

#define INTERFACE_DIR_NB_OPS 5

struct dir {
  result_t (*open)(void *fs_infos, struct ures *ur);
  result_t (*close)(struct ures *ur);
  result_t (*lookup)(struct ures *curr_ur, const char *name, struct kres **kr);
  result_t (*mkobject)(struct ures *curr_ur, const char *name);
  result_t (*mkdir)(struct ures *curr_ur, const char *name);
};



#endif  /* __DIR_H__ */
