#ifndef __FILE_H__
#define __FILE_H__

#define FILE_OPS(ops) ((struct file *)(ops))

typedef enum { STD } seek_t;

struct file {
  int (*open)(void *fs_infos, struct ures *ur);
  int (*close)(struct ures *ur);
  int (*read)(struct ures *ur, char *buffer, size_t len);
  int (*write)(struct ures *ur, char *buffer, size_t len);
  int (*seek)(struct ures *ur, offset_t offset, seek_t seek_type);
  /*
  int (*rename)(void *fs_infos, struct ures *ur, char *name);
  int (*move)(void *fs_infos, struct ures *ur, struct ures *ur_dest);
  int (*mkres)(void *fs_infos, struct ures *ur, char *name);
  */
  /** chmod, chown, chattr, ... */
};


#endif /* __FILE_H__ */
