#ifndef __MAPPING_H__
#define __MAPPING_H__

#include <vmm/vmm.h>
#include <kos/types.h>

#define MAPPING_OPS(ops) ((struct mapping *)(ops))

struct mapping {
  /*  bool_t (*map)(struct virtual_region *vr, vaddr_t vaddr,
		acccess_range_t *ar, pf_flags_t *pf);
  */
 bool_t (*map)(struct virtual_region *vr, vaddr_t vaddr,
	       access_range_t *ar, pf_flags_t *pf);
  bool_t (*sync)(struct virtual_region *vr,
		 vaddr_t vaddr_start, size_t sz);
};


#endif /* __MAPPING_H__ */
