#ifndef __KWAITQUEUE_H__
#define __KWAITQUEUE_H__

#include <task/task.h>

typedef struct kwaitqueue
{
  spinlock_t     lock;
  struct thread *thread_list;
} kwaitqueue_t;

int kwaitqueue_init(struct kwaitqueue *kwq);
int kwaitqueue_add(struct kwaitqueue *kwq);
int kwaitqueue_wake_up(struct kwaitqueue *kwq);

#endif /* __KWAITQUEUE_H__ */
