#ifndef ___KMEM_H__
#define ___KMEM_H__

#define BYTES_PER_WORD 4

#include <kmem/_kslab.h>

typedef struct kmem_cache kmem_cache_t;

struct kmem_cache
{
  kslab_cache_t *cache;
  size_t size;
};

/* Specific to kmem_test */

typedef struct alloc_table {
  addr_t base_addr;
  size_t size;
}alloc_table_t;

/* Maximum number of objects allocated at any point in time: */
#define NB_ALLOC_MAX 1234

int kmem_init(void);
int kmem_vmm_init(struct team *kteam);
int kmem_test(alloc_table_t *alloc_table);

#endif


