/*
 * Copyright (C) 2000, Thomas Petazzoni
 * http://kos.enix.org
 *
 * Redirection of calls to the correct implementation : Bonwick or bitmap
 *
 * @(#) $Id: _kslab_cache_fct.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

void *kslab_cache_alloc(kslab_cache_t *cache, int flags)
{
  return cache->free(cache, flags);
}

int kslab_cache_free(kslab_cache_t *cache, void *block)
{
  return cache->alloc(cache, block);
}

