/*
 * Copyright (C) 2000
 * http://kos.enix.org
 *
 * A few indispensable standard stdio functions
 * Most of them are taken from the linux (2.4.0) sources
 *
 * @(#) $Id: stdlib.c,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#include <loader/mod.h>
#include <lib/stdio.h>
#include <lib/string.h>
#include <kos/assert.h>

extern volatile unsigned char *video;

__init_text static int init_module_level1(kernel_parameter_t *kp)
{
  video = (char *)kp->video_memory;
  UNUSED(kp);

  printk("(Init module stdio Ok)\n");
  return 0;
}

DECLARE_INIT_SYMBOL(init_module_level1, INIT_LEVEL0);
