#include <loader/mod.h>
#include <lib/stdio.h>

#include "_pmm.h"

__init_text static int init_module_level1 (kernel_parameter_t *kp)
{
  printk("(Init module pmm...");

  if(init_gpfm(kp) < 0)
    return -1;

  printk("Ok)\n");

  return 0;
}

DECLARE_INIT_SYMBOL(init_module_level1, INIT_LEVEL1);

EXPORT_FUNCTION(get_gpfme_at_phys_addr);
EXPORT_FUNCTION(get_gpfme_at_virt_addr);
EXPORT_FUNCTION(put_physical_page);
EXPORT_FUNCTION(get_physical_page);
EXPORT_FUNCTION(gpfme_unlock);
EXPORT_FUNCTION(change_gpfme_swap_status);
EXPORT_FUNCTION(_get_gpfm_ram_map_size);
EXPORT_FUNCTION(_gpfm_visit_list_unsafe);
