#ifndef __KOS_SCHEDULER_H__
#define __KOS_SCHEDULER_H__

#include <kos/types.h>

typedef unsigned long jiffy_t;

struct thread *reschedule (struct thread *current_thread);
void usleep(udelay_t delay);
void udelay(unsigned long usecs);

void check_timers(jiffy_t current_jiffies);
struct cpu_state *reschedule_after_interrupt (struct cpu_state *);
void reschedule_run_next(void);
struct thread *reschedule_unsafe (struct thread *current_thread);
jiffy_t get_jiffies(void);

#endif
