#include <vmm/_vmm.h>

bool_t _kstack_sr_map(struct virtual_region*,
		      vaddr_t vaddr,
		      access_range_t *ar,
		      pf_flags_t *pf);
static size_t _kstack_sr_sync(struct virtual_region*,
			      vaddr_t vaddr_start, size_t sz);

struct shadow_resource_drv kstack_sr_drv = {
  .map   = _kstack_sr_map,
  .sync  = _kstack_sr_sync
};


bool_t _kstack_sr_map(struct virtual_region* vr,
		      vaddr_t vaddr,
		      access_range_t *ar,
		      pf_flags_t *pf)
{
  UNUSED(pf);
  DEBUG_PRINT("kstack_sr_map(0x%x, 0x%x, %d)\n",
	      (unsigned)vr, vaddr, (unsigned)ar);
  return TRUE;
}


static size_t _kstack_sr_sync(struct virtual_region* vr,
			      vaddr_t vaddr_start, size_t sz)
{
  DEBUG_PRINT("kstack_sr_sync(0x%x, 0x%x, %d)\n",
	      (unsigned)vr, vaddr_start, sz);
  return -1;
}
