#ifndef __BITMAP_H__
#define __BITMAP_H__

#include <kos/types.h>

/* Position in bits */
void set_bit_in_bitmap (addr_t bitmap, size_t position, int value);
int  get_bit_in_bitmap (addr_t bitmap, size_t position);

/* Size in bytes, aligned on a 4-bytes boundary 
 * Returns the number of the first set bit in the bitmap 
 * When none found, return (size*CHAR_BITS+1)
 */
size_t bsf_bitmap (addr_t bitmap, size_t size);

#endif /* __BITMAP_H__ */
