/*
 * Copyright (C) 2000, Thomas PETAZZONI
 * http://kos.enix.org
 *
 * This file contains types definitions for tasking management on x86 architecture.
 *
 * @(#) $Id: _task.h,v 1.1.1.1 2003/04/27 12:49:49 thomas Exp $
 */

#ifndef ___TASK_X86_H__
#define ___TASK_X86_H__

#include <arch/task/task.h>
#include <arch/internals.h>

int __task_init_as_allocator(void);

void __init_system_tss(void);
void __init_double_fault_tss(void);

cpu_state_t *double_fault_handler (int numirq, cpu_state_t *cpu_state);

tss_t *get_system_tss(void);
void dump_tss(char *tss_name, tss_t *tss);

#endif /* ___TASK_X86_H__ */






